#
# spec file for package butane
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2021 Neal Gompa.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           butane
Version:        0.14.0
Release:        bp155.1.16
Summary:        Tool to generate Ignition configs from Butane Configs
Group:          System/Management
License:        Apache-2.0
URL:            https://github.com/coreos/butane
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  golang(API) >= 1.15

# Upgrade from old fcct/ignition-config-transpiler
Obsoletes:      ignition-config-transpiler < %{version}-%{release}
Provides:       ignition-config-transpiler = %{version}-%{release}
Provides:       ignition-config-transpiler%{?_isa} = %{version}-%{release}

%description
Butane translates human-readable Butane Configs into machine-readable
Ignition configs for provisioning operating systems that use Ignition.

%prep
%autosetup -p1

%build
go build -mod=vendor -buildmode=pie -ldflags "-X github.com/coreos/butane/internal/version.Raw=%{version}" -a -v -x -o ./butane internal/main.go

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 ./butane %{buildroot}%{_bindir}
ln -s butane %{buildroot}%{_bindir}/ignition-config-transpiler
ln -s butane %{buildroot}%{_bindir}/fcct

%files
%license LICENSE
%doc docs README.md NEWS
%{_bindir}/butane
%{_bindir}/ignition-config-transpiler
%{_bindir}/fcct

%changelog
* Thu Mar 17 2022 Thorsten Kukuk <kukuk@suse.com>
- Update to version 0.14.0
  - Correctly fail on validation warnings if --strict is specified
  - Drop support for Go 1.13 and 1.14
  - Support none filesystem format
  - Fix incorrect config paths in validation reports on 386 architecture
- Drop obsolete butane-0.11.0-fix-vcontext-report-copy.patch
* Fri Apr  9 2021 Neal Gompa <ngompa13@gmail.com>
- Initial package to replace ignition-config-transpiler/fcct
